<?php
require "../include/variables.php";
require "../include/functions.php";

if(isset($_SESSION['userid']) == false) {
    header("Location: index.php");
    http_response_code(404);
    die();
}

if(isset($_POST['delete_account'])) {
    $bdd = connect($dbhost, $dbname, $dbuser, $dbpass);

    $req = $bdd->prepare("DELETE FROM users WHERE ID = :id");
    $req->bindParam(':id', $_SESSION['userid']);
    if($req->execute()) {
        header("Location: logout.php");
        exit();
    } else {
        die("Erreur SQL");
    }
}

?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./src/css/style.css">
    <link rel="icon" href="src/img/favicon.ico">
    <title><?=$title?></title>
</head>
<body>
    <header>
        <div class="pancontent">
            <div class="athena-container">
                <a href="/" class="athena-link">
                    <img src="./src/img/athena-mono.png" class="athena">
                </a>
            </div>
            <div class="content">
                <div>
                    <div class="main-title">
                        <div class="title"><?=$header_title?></div>
                        <div class="subtitle"><?=$header_subtitle?></div>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <nav>
        <div class="pancontent">
            <?php nav($nav);?>
        </div>
    </nav>
    <main>
        <div class="content">
            <div>
                <div>
                    <?php
                        foreach($_SESSION as $name => $value) { echo "<div>" . $name . " : " . $value . "</div>";}
                    ?>
                </div>
                <div><form action="" method="post"><input type="submit" name="delete_account" value="Supprimer le compte (irréversible)"></form></div>
            </div>
        </div>
    </main>
    <footer>
        <div class="content">
            <div>
                <div><?=$copyright?></div>
            </div>
        </div>
    </footer>
</body>
</html>